# Interface methods for submodule: LabelOverlayImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import BinaryGeneratorImageFilterProxy as _BinaryGeneratorImageFilterProxy


# Interface methods for class: LabelOverlayImageFilter
class LabelOverlayImageFilterProxy(_BinaryGeneratorImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetLabelImage(self, input) -> None:
		""""""
		...

	def GetLabelImage(self):
		""""""
		...

	def SetOpacity(self, _arg: float) -> None:
		""""""
		...

	def GetOpacity(self) -> float:
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def ResetColors(self) -> None:
		""""""
		...

	def GetNumberOfColors(self) -> int:
		""""""
		...

	def AddColor(self, r: int, g: int, b: int) -> None:
		""""""
		...

	def GetFunctor(self):
		""""""
		...

